package com.ruoyi.mall.domain.vo;

import java.math.BigDecimal;

/**
 * @ClassName GoodsProductVO
 * @Description 请描述类的业务用途
 * @Author linlinee
 * @Date 2021/12/3 4:11 PM
 * @Version 1.0
 **/

public class GoodsProductVO {
    /** 主键ID */
    private Long id;

    /** 商品ID */
    private Long goodsId;

    /** 是否默认 0=不是,1=是 */
    private String isDefault;

    /** 产品规格名 */
    private String productName;

    /** 现价 */
    private BigDecimal price;

    /** 原价 */
    private BigDecimal priceN;

    /** 库存 */
    private Integer stock;

    /** 销售量 */
    private Integer numSale;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(String isDefault) {
        this.isDefault = isDefault;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getPriceN() {
        return priceN;
    }

    public void setPriceN(BigDecimal priceN) {
        this.priceN = priceN;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public Integer getNumSale() {
        return numSale;
    }

    public void setNumSale(Integer numSale) {
        this.numSale = numSale;
    }

    @Override
    public String toString() {
        return "GoodsProductVO{" +
                "id=" + id +
                ", goodsId=" + goodsId +
                ", isDefault='" + isDefault + '\'' +
                ", productName='" + productName + '\'' +
                ", price=" + price +
                ", priceN=" + priceN +
                ", stock=" + stock +
                ", numSale=" + numSale +
                '}';
    }
}
